Bug 1441739 - Zanata translations for subscription-manager 1.19 are not 100%
Summary: Zanata translations for subscription-manager 1.19 are not 100%
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1449667
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 15:14 UTC by John Sefler
Modified: 2017-08-01 19:22 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:22:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1449667 None None None Never
Red Hat Product Errata RHBA-2017:2083 normal SHIPPED_LIVE python-rhsm and subscription-manager bug fix and enhancement update 2017-08-01 18:14:19 UTC

Internal Links: 1449667

Description John Sefler 2017-04-12 15:14:13 UTC
Description of problem:
Using this bugzilla to block automated translation tests.  Once the translation team has completed their task in Zanata project subscription-manager 1.19.X and the devel team has pulled and merged the new po files into subscription-manager-1.19 targeted for release in RHEL7.4, move this bug to MODIFIED.

Targeted LANGs are:
    de_DE, es_ES, fr, it, ja, ko, pt_BR, ru, zh_CN, zh_TW

Version-Release number:
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.19.X



Additional Info:

Do not expect Zanata project subscription-manager 1.19.X to be ready for translation until the RHEL7.4 String Freeze date (Wed 2017-05-03).  On this date, subscription-manager development should have all the string msgids pushed to the Zanata project and the translators can begin their task of translating the new strings.

NEEDINFO from rlandman to help coordinate the translation effort in the absence of noriko who has helped schedule this effort in the past.  Please point the subscription-manager developers to the proper place to open a translation request ticket that can be completed before the RHEL74 Snapshot phases.

Comment 7 John Sefler 2017-06-19 21:40:25 UTC
Testing version....

[root@jsefler-rhel7 ~]# rpm -q subscription-manager
subscription-manager-1.19.20-1.el7.x86_64

[root@jsefler-rhel7 ~]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "counting the translated msgid's in LANG file '$L'..."; msgunfmt --no-wrap $L | egrep ^msgid | wc -l; done;

counting the translated msgid's in LANG file '/usr/share/locale/as/LC_MESSAGES/rhsm.mo'...
858

counting the translated msgid's in LANG file '/usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/fr/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/gu/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/hi/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/it/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/ja/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/kn/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/ko/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/ml/LC_MESSAGES/rhsm.mo'...
883

counting the translated msgid's in LANG file '/usr/share/locale/mr/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/or/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/pa/LC_MESSAGES/rhsm.mo'...
808

counting the translated msgid's in LANG file '/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/ru/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/te/LC_MESSAGES/rhsm.mo'...
884

counting the translated msgid's in LANG file '/usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009

counting the translated msgid's in LANG file '/usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo'...    <========= SUPPORTED
1009
[root@jsefler-rhel7 ~]# 


VERIFIED: All 10 of the supported languages contain 1009 translated msgids from the 100% translated Zanata project https://translate.zanata.org/iteration/view/subscription-manager/1.19.X

Comment 8 errata-xmlrpc 2017-08-01 19:22:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2083


Note You need to log in before you can comment on or make changes to this bug.